What do I need at my shop to use AutoServe1?

Follow

In order to run the AutoServe1 software at your shop, all you need is the following:

  • A computer capable of running the Google Chrome Browser.
  • A tablet we have confirmed is compatible with our application. Please see this page to see which tablets we recommend purchasing.
  • Minimum network requirements (Based on 3 tablets running AutoServe1). 10Mbps Download and 5 Mbps Upload and a strong wireless signal throughout the entire shop.

Please contact us to see how you can perform a site assessment at your shop now!

Was this article helpful?
0 out of 0 found this helpful

Comments